;仚仚僗乕僷乕傾乕僣仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚

[Command]
name = "儊僥僆僗僩儔僀僋"
command = ~D, DF, F, D, DF, x
time = 24

[Command]
name = "儊僥僆僗僩儔僀僋"
command = ~D, DF, F, D, DF, ~x
time = 24

[Command]
name = "儊僥僆僗僩儔僀僋"
command = ~D, DF, F, D, DF, y
time = 24

[Command]
name = "儊僥僆僗僩儔僀僋"
command = ~D, DF, F, D, DF, ~y
time = 24

[Command]
name = "儊僥僆僗僩儔僀僋"
command = ~D, DF, F, D, DF, z
time = 24

[Command]
name = "儊僥僆僗僩儔僀僋"
command = ~D, DF, F, D, DF, ~z
time = 24

[Command]
name = "僙儔僼傿僢僋僂僀儞僌"
command = ~D, DF, F, D, DF, a
time = 24

[Command]
name = "僙儔僼傿僢僋僂僀儞僌"
command = ~D, DF, F, D, DF, ~a
time = 24

[Command]
name = "僙儔僼傿僢僋僂僀儞僌"
command = ~D, DF, F, D, DF, b
time = 24

[Command]
name = "僙儔僼傿僢僋僂僀儞僌"
command = ~D, DF, F, D, DF, ~b
time = 24

[Command]
name = "僙儔僼傿僢僋僂僀儞僌"
command = ~D, DF, F, D, DF, c
time = 24

[Command]
name = "僙儔僼傿僢僋僂僀儞僌"
command = ~D, DF, F, D, DF, ~c
time = 24


;仚仚昁嶦媄仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚
[Command]
name = "僉僱僔僗_x"
command = ~D, DF, F, x
time = 12

[Command]
name = "僉僱僔僗_y"
command = ~D, DF, F, y
time = 12

[Command]
name = "僉僱僔僗_z"
command = ~D, DF, F, z
time = 12

[Command]
name = "僉僱僔僗_x"
command = ~D, DF, F, ~x
time = 12

[Command]
name = "僉僱僔僗_y"
command = ~D, DF, F, ~y
time = 12

[Command]
name = "僉僱僔僗_z"
command = ~D, DF, F, ~z
time = 12

[Command]
name = "僒僀僶乕儔儕傾僢僩"
command = ~F, D, DF, x
time = 15

[Command]
name = "僒僀僶乕儔儕傾僢僩"
command = ~F, D, DF, y
time = 15

[Command]
name = "僒僀僶乕儔儕傾僢僩"
command = ~F, D, DF, z
time = 15

[Command]
name = "僒僀僶乕儔儕傾僢僩"
command = ~F, D, DF, ~x
time = 15

[Command]
name = "僒僀僶乕儔儕傾僢僩"
command = ~F, D, DF, ~y
time = 15

[Command]
name = "僒僀僶乕儔儕傾僢僩"
command = ~F, D, DF, ~z
time = 15

[Command]
name = "僒僀僐僿僢僪僶僢僩"
command = ~D, DB, B, x
time = 12

[Command]
name = "僒僀僐僿僢僪僶僢僩"
command = ~D, DB, B, y
time = 12

[Command]
name = "僒僀僐僿僢僪僶僢僩"
command = ~D, DB, B, z
time = 12

[Command]
name = "僒僀僐僿僢僪僶僢僩"
command = ~D, DB, B, ~x
time = 12

[Command]
name = "僒僀僐僿僢僪僶僢僩"
command = ~D, DB, B, ~y
time = 12

[Command]
name = "僒僀僐僿僢僪僶僢僩"
command = ~D, DB, B, ~z
time = 12

[Command]
name = "儉乕儞僒儖僩僯乕僪儘僢僾"
command = ~F, DF, D, DB, B, a
time = 18

[Command]
name = "儉乕儞僒儖僩僯乕僪儘僢僾"
command = ~F, DF, D, DB, B, b
time = 18

[Command]
name = "儉乕儞僒儖僩僯乕僪儘僢僾"
command = ~F, DF, D, DB, B, c
time = 18

[Command]
name = "儉乕儞僒儖僩僯乕僪儘僢僾"
command = ~F, DF, D, DB, B, ~a
time = 18

[Command]
name = "儉乕儞僒儖僩僯乕僪儘僢僾"
command = ~F, DF, D, DB, B, ~b
time = 18

[Command]
name = "儉乕儞僒儖僩僯乕僪儘僢僾"
command = ~F, DF, D, DB, B, ~c
time = 18

[Command]
name = "儗僶僈僠儍"
command = x
time = 1

[Command]
name = "儗僶僈僠儍"
command = y
time = 1

[Command]
name = "儗僶僈僠儍"
command = z
time = 1

[Command]
name = "儗僶僈僠儍"
command = a
time = 1

[Command]
name = "儗僶僈僠儍"
command = b
time = 1

[Command]
name = "儗僶僈僠儍"
command = c
time = 1

[Command]
name = "儗僶僈僠儍"
command = F
time = 1

[Command]
name = "儗僶僈僠儍"
command = D
time = 1

[Command]
name = "儗僶僈僠儍"
command = B
time = 1

[Command]
name = "儗僶僈僠儍"
command = U
time = 1

;仚仚僗僥僢僾堏摦仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚
[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

;仚仚僟僂儞夞旔仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "recovery";Required (do not remove)
command = a+b
time = 1

[Command]
name = "recovery";Required (do not remove)
command = x+a
time = 1

[Command]
name = "recovery";Required (do not remove)
command = y+b
time = 1

[Command]
name = "recovery";Required (do not remove)
command = z+c
time = 1

[Command]
name = "recovery";Required (do not remove)
command = x+z
time = 1

[Command]
name = "recovery";Required (do not remove)
command = a+c
time = 1

;仚仚摨帪墴偟仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚
[Command]
name = "x+a"
command = x+a
time = 1

[Command]
name = "y+b"
command = y+b
time = 1

[Command]
name = "z+c"
command = z+c
time = 1

;仚仚僔儞僌儖仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;仚仚儃僞儞墴偟偭傁側偟仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚
[Command]
name = "holdx"
command = /$x
time = 1

[Command]
name = "holdy"
command = /$y
time = 1

[Command]
name = "holdz" 
command = /$z
time = 1

[Command]
name = "holda"
command = /$a
time = 1

[Command]
name = "holdb"
command = /$b
time = 1

[Command]
name = "holdc"
command = /$c
time = 1

[Command]
name = "holds"
command = /$s
time = 1

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1


;仚仚摿庩憖嶌仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚
[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "down"
command = D
time = 1

[Command]
name = "up"
command = U
time = 1

;quick standing
[Command]
name = "quick"
command = D
time = 1

;longjump
[Command]
name = "longjump_f"
command = D, UF
time = 10

[Command]
name = "longjump_b"
command = D, UB
time = 10

[Command]
name = "longjump_u"
command = D, U
time = 10

[Command];乮慜僽儘僢僉儞僌僐儅儞僪乯
name = "bl1"
command = F
time = 1

[Command];乮壓僽儘僢僉儞僌僐儅儞僪乯
name = "bl2"
command = D
time = 1




[Statedef -1]

;仚仚AI憖嶌仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚
;------------------------------
[State -1, AI Activation]
type = varset
triggerall = AILevel > 2
triggerall = (roundstate = 2) && (var(50) = 0)
trigger1 = Random <= ((AILevel-2)*100)
v = 50
value = 1

[State -1, AI Deactivation]
type = varset
triggerall = AIlevel < 7
triggerall = var(50) = 1
trigger1 = Random > ((AILevel-2)*100)
trigger2 = roundstate != 2
v = 50
value = 0


;仚仚僐儅儞僪擖椡仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚

[State -1, varset]
type = varset
triggerall = Command = "longjump_u" || Command = "longjump_f" || Command = "longjump_b"
trigger1 = !var(38) && !fvar(31)
trigger2 = var(38)
trigger2 = var(58):= 40+ifelse(command="longjump_f",2,ifelse(command="longjump_b",3,1))
var(55) = 40
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "FF"
trigger1 = !var(38) && !fvar(31)
trigger2 = var(38)
trigger2 = var(58):= 100
var(55) = 100
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "BB"
trigger1 = !var(38) && !fvar(31)
trigger2 = var(38)
trigger2 = var(58):= 105
var(55) = 105
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "x"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= ifelse(command="holddown",400,200)
var(55) = ifelse(command="holddown",400,200)
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "y"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= ifelse(command="holddown",410,ifelse(command="holdback",900,210))
var(55) = ifelse(command="holddown",410,ifelse(command="holdback",900,210))
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "z"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= ifelse(command="holddown",420,220)
var(55) = ifelse(command="holddown",420,220)
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "a"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= ifelse(command="holddown",430,230)
var(55) = ifelse(command="holddown",430,230)
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "b"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= ifelse(command="holddown",440,ifelse(command="holdfwd",910,240))
var(55) = ifelse(command="holddown",440,ifelse(command="holdfwd",910,240))
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "c"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= ifelse(command="holddown",450,250)
var(55) = ifelse(command="holddown",450,250)
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "x"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(47):= 600
var(26) = 600
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "y"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(47):= 610
var(26) = 610
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "z"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(47):= 620
var(26) = 620
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "a"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(47):= 630
var(26) = 630
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "b"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(47):= 640
var(26) = 640
ignorehitpause = 1

[State -1, varset]
type = varset
triggerall = Command = "c"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(47):= 650
var(26) = 650
ignorehitpause = 1

[State -1, varset]
type = varset
trigger1 = (command = "s") || (command = "z+c")
trigger1 = command != "holdfwd"
trigger1 = command != "holdback"
trigger1 = command != "holddown"
var(55) = 195
ignorehitpause = 1

[State -1, varset]
type = varset
trigger1 = command = "y+b"
trigger1 = command != "holdfwd"
trigger1 = command != "holdback"
trigger1 = command != "holddown"
var(55) = 920
ignorehitpause = 1

[State -1, varset]
type = varset
trigger1 = command = "x+a"
trigger1 = command != "holddown"
var(55) = 800
ignorehitpause = 1

;僉僱僔僗
[State -1, varset]
type = varset
triggerall = Command = "僉僱僔僗_x" || Command = "僉僱僔僗_y" || Command = "僉僱僔僗_z"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= 1000
var(55) = 1000
ignorehitpause = 1

[State -1, varset]
type = varset
trigger1 = var(50) = 0
trigger1 = Command = "僉僱僔僗_x" || Command = "僉僱僔僗_y" || Command = "僉僱僔僗_z"
var(10) = ifelse(Command = "僉僱僔僗_z",2,ifelse(Command = "僉僱僔僗_y",1,0))
ignorehitpause = 1

;僒僀僶乕儔儕傾僢僩
[State -1, varset]
type = varset
triggerall = Command = "僒僀僶乕儔儕傾僢僩"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= 1100
var(55) = 1100
ignorehitpause = 1

;儉乕儞僒儖僩僯乕僪儘僢僾
[State -1, varset]
type = varset
triggerall = Command = "儉乕儞僒儖僩僯乕僪儘僢僾"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= 1200
var(55) = 1200
ignorehitpause = 1

;僒僀僐僿僢僪僶僢僩
[State -1, varset]
type = varset
triggerall = Command = "僒僀僐僿僢僪僶僢僩"
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= 1300
var(55) = 1300
ignorehitpause = 1


;儊僥僆僗僩儔僀僋
[State -1, varset]
type = varset
triggerall = Power >= 1280
triggerall = Command = "儊僥僆僗僩儔僀僋"
triggerall = var(45) = 0
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= 3100
var(55) = 3100
ignorehitpause = 1

;僙儔僼傿僢僋僂僀儞僌
[State -1, varset]
type = varset
triggerall = power >= 1280
triggerall = Command = "僙儔僼傿僢僋僂僀儞僌"
triggerall = var(45) = 0
trigger1 = !var(38) && fvar(31)<2
trigger2 = var(38)
trigger2 = var(58):= 3200
var(55) = 3200
ignorehitpause = 1

;愭峴擖椡夝彍
[State -1, varset]
type = varset
trigger1 = var(55) != var(57)
var(56) = helper(30000),var(19)
ignorehitpause = 1

[State -1, varset]
type = varset
trigger1 = 1
var(57) = var(55)
ignorehitpause = 1

[State -1, varAdd]
type = varAdd
trigger1 = var(55)
trigger1 = var(56) > 0
var(56) = -1

[State -1, varset]
type = varset
trigger1 = var(26) != var(28)
var(27) = helper(30000),var(19)
ignorehitpause = 1

[State -1, varset]
type = varset
trigger1 = 1
var(28) = var(26)
ignorehitpause = 1

[State -1, varAdd]
type = varAdd
trigger1 = var(26)
trigger1 = var(27) > 0
var(27) = -1

;昁嶦媄敪摦乮抧忋媄乯

[State -1, 0]
type = ChangeState
value = var(58)
triggerall = var(58) = [3100,3200]
triggerall = roundstate = 2
triggerall = StateType != A
triggerall = var(50) = 0
triggerall = !var(13)
trigger1 = stateno = 420 && animelemtime(4) <= 0 && var(38) = 420
trigger2 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
ignorehitpause = 0

[State -1, 0]
type = ChangeState
value = var(55)
triggerall = var(55) = [3100,3200]
triggerall = roundstate = 2
triggerall = StateType != A
triggerall = var(50) = 0
triggerall = !var(13)
trigger1 = stateno = 1000
trigger1 = Animelemtime(11) >= 0 && Animelemtime(13) < 0
ignorehitpause = 0

[State -1, 0]
type = ChangeState
value = var(58)
triggerall = var(58) = [1100,1400]
triggerall = roundstate = 2
triggerall = StateType != A
triggerall = var(50) = 0
triggerall = !var(13)
trigger1 = stateno = 420 && animelemtime(4) <= 0 && var(38) = 420
trigger2 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
ignorehitpause = 0

[State -1, 0]
type = ChangeState
value = var(58)
triggerall = var(58) = 1000
triggerall = !fvar(36)
triggerall = roundstate = 2
triggerall = StateType != A
triggerall = var(50) = 0
triggerall = !var(13)
trigger1 = stateno = 420 && animelemtime(4) <= 0 && var(38) = 420
trigger2 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
ignorehitpause = 0

[State -1]
type = ChangeState
value = var(58)
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(7) = 1
triggerall = (var(58) = [1100,1400]) || (var(58) = [3100,3200])
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 220 && animelemtime(9) <= 0 && var(38) = 220
trigger4 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger5 = Stateno = 240 && animelemtime(7) <= 0 && var(38) = 240
trigger6 = Stateno = 250 && animelemtime(9) <= 0 && var(38) = 250
trigger7 = Stateno = 250 && animelemtime(11) <= 0 && var(38) = 251
trigger8 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger9 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger10 = Stateno = 420 && animelemtime(6) <= 0 && var(38) = 421
trigger11 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger12 = Stateno = 440 && animelemtime(6) <= 0 && var(38) = 440
trigger13 = Stateno = 450 && animelemtime(5) <= 0 && var(38) = 450
trigger14 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
trigger15 = Stateno = 910 && animelemtime(8) <= 0 && var(38) = 910
ignorehitpause = 0

[State -1]
type = ChangeState
value = var(58)
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(7) = 1
triggerall = var(58) = 1000
triggerall = !fvar(36)
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 220 && animelemtime(9) <= 0 && var(38) = 220
trigger4 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger5 = Stateno = 240 && animelemtime(7) <= 0 && var(38) = 240
trigger6 = Stateno = 250 && animelemtime(9) <= 0 && var(38) = 250
trigger7 = Stateno = 250 && animelemtime(11) <= 0 && var(38) = 251
trigger8 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger9 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger10 = Stateno = 420 && animelemtime(6) <= 0 && var(38) = 421
trigger11 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger12 = Stateno = 440 && animelemtime(6) <= 0 && var(38) = 440
trigger13 = Stateno = 450 && animelemtime(5) <= 0 && var(38) = 450
trigger14 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
trigger15 = Stateno = 910 && animelemtime(8) <= 0 && var(38) = 910
ignorehitpause = 0

[State -1, 0]
type = ChangeState
value = var(58)
triggerall = var(58) = [3100,3200]
triggerall = roundstate = 2
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(10) = 1
triggerall = var(50) = 0
triggerall = !var(13)
trigger1 = Stateno = 1100 && var(38)
ignorehitpause = 0

[State -1, 0]
type = ChangeState
value = var(55)
triggerall = var(55) = [1100,1400]
triggerall = roundstate = 2
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(10) = 1
triggerall = var(50) = 0
triggerall = !var(13)
trigger1 = stateno = 1000
trigger1 = Animelemtime(11) >= 0 && Animelemtime(13) < 0
ignorehitpause = 0

[State -1, 0]
type = ChangeState
value = var(58)
triggerall = var(58) = 1000
triggerall = !fvar(36)
triggerall = roundstate = 2
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(10) = 1
triggerall = var(50) = 0
triggerall = !var(13)
trigger1 = Stateno = 1100 && var(38)
ignorehitpause = 0

[State -1]
type = ChangeState
value = 40
triggerall = numhelper(30000)
triggerall = helper(30000),var(8) = 1
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = var(58) = [41,43]
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 220 && animelemtime(9) <= 0 && var(38) = 220
trigger4 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger5 = Stateno = 240 && animelemtime(7) <= 0 && var(38) = 240
trigger6 = Stateno = 250 && animelemtime(9) <= 0 && var(38) = 250
trigger7 = Stateno = 250 && animelemtime(11) <= 0 && var(38) = 251
trigger8 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger9 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger10 = stateno = 420 && animelemtime(4) <= 0 && var(38) = 420
trigger11 = Stateno = 420 && animelemtime(6) <= 0 && var(38) = 421
trigger12 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger13 = Stateno = 440 && animelemtime(6) <= 0 && var(38) = 440
trigger14 = Stateno = 450 && animelemtime(5) <= 0 && var(38) = 450
trigger15 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
trigger16 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
trigger17 = Stateno = 910 && animelemtime(8) <= 0 && var(38) = 910
ignorehitpause = 0

[State -2, changestate]
type = changestate
trigger1 = var(45) = 1
trigger1 = statetype != A
trigger1 = ctrl
value = 5191
ignorehitpause = 0

[State -2, ChangeState]
type = ChangeState
trigger1 = fvar(2) >= 72.0
trigger1 = statetype != A
trigger1 = ctrl
value = 5300
ignorehitpause = 0

;仚仚僐儅儞僪愭峴擖椡仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚
;Reversal 昁嶦媄敪摦乮抧忋媄)
[State -1, ChangeState]
type = ChangeState
value = var(55)
triggerall = (var(55) = [1100,1430]) || (var(55) = [3000,3200])
triggerall = roundstate = 2
triggerall = StateType != A
triggerall = var(50) = 0
trigger1 = ctrl 
trigger2 = fvar(2) < 72
trigger2 = stateno = 5001
trigger2 = HitOver
trigger3 = fvar(2) < 72
trigger3 = stateno = 5011
trigger3 = HitOver
trigger4 = statetype = S
trigger4 = stateno = 151 || stateno = 6151
trigger4 = HitOver
trigger5 = statetype = C
trigger5 = stateno = 153 || stateno = 6153
trigger5 = HitOver
trigger6 = statetype = S
trigger6 = stateno = [4000,4015]
trigger6 = animelemtime(5) = 0
trigger7 = statetype = C
trigger7 = stateno = [4100,4115]
trigger7 = animelemtime(5) = 0
trigger8 = fvar(2) < 72
trigger8 = stateno = 5120
trigger8 = AnimelemTime(9) = 0
trigger9 = stateno = 5123
trigger9 = AnimelemTime(13) = 0
trigger10 = stateno = 5124
trigger10 = AnimelemTime(14) = 0
trigger11 = ((stateno=[200,450])&&stateno!=211&&stateno!=441) || stateno = [900,910]
trigger11 = movetype = A && time <= 3
trigger12 = stateno = 40
trigger12 = pos Y = 0
ignorehitpause = 0

[State -1, ChangeState]
type = ChangeState
value = var(55)
triggerall = var(55) = 195 || var(55) = 800 || var(55) = 920
triggerall = StateType != A
triggerall = var(50) = 0
trigger1 = ctrl 
trigger2 = fvar(2) < 72
trigger2 = stateno = 5001
trigger2 = HitOver
trigger3 = fvar(2) < 72
trigger3 = stateno = 5011
trigger3 = HitOver
trigger4 = statetype = S
trigger4 = stateno = 151 || stateno = 6151
trigger4 = HitOver
trigger5 = statetype = C
trigger5 = stateno = 153 || stateno = 6153
trigger5 = HitOver
trigger6 = statetype = S
trigger6 = stateno = [4000,4015]
trigger6 = animelemtime(5) = 0
trigger7 = statetype = C
trigger7 = stateno = [4100,4115]
trigger7 = animelemtime(5) = 0
trigger8 = fvar(2) < 72
trigger8 = stateno = 5120
trigger8 = AnimelemTime(9) = 0
trigger9 = stateno = 5123
trigger9 = AnimelemTime(13) = 0
trigger10 = stateno = 5124
trigger10 = AnimelemTime(14) = 0
trigger11 = ((stateno=[200,450])&&stateno!=211&&stateno!=441) || stateno = [900,910]
trigger11 = movetype = A && time <= 3
trigger12 = stateno = 40
trigger12 = pos Y = 0
ignorehitpause = 0

[State -1, ChangeState]
type = ChangeState
value = var(55)
triggerall = var(55) = 1000
triggerall = !fvar(36)
triggerall = roundstate = 2
triggerall = StateType != A
triggerall = var(50) = 0
trigger1 = ctrl 
trigger2 = fvar(2) < 72
trigger2 = stateno = 5001
trigger2 = HitOver
trigger3 = fvar(2) < 72
trigger3 = stateno = 5011
trigger3 = HitOver
trigger4 = statetype = S
trigger4 = stateno = 151 || stateno = 6151
trigger4 = HitOver
trigger5 = statetype = C
trigger5 = stateno = 153 || stateno = 6153
trigger5 = HitOver
trigger6 = statetype = S
trigger6 = stateno = [4000,4015]
trigger6 = animelemtime(5) = 0
trigger7 = statetype = C
trigger7 = stateno = [4100,4115]
trigger7 = animelemtime(5) = 0
trigger8 = fvar(2) < 72
trigger8 = stateno = 5120
trigger8 = AnimelemTime(9) = 0
trigger9 = stateno = 5123
trigger9 = AnimelemTime(13) = 0
trigger10 = stateno = 5124
trigger10 = AnimelemTime(14) = 0
trigger11 = ((stateno=[200,450])&&stateno!=211&&stateno!=441) || stateno = [900,910]
trigger11 = movetype = A && time <= 3
trigger12 = stateno = 40
trigger12 = pos Y = 0
ignorehitpause = 0

;仚仚捠忢峌寕仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚

;棫偪戝僷儞僠
[State -1]
type = ChangeState
value = 220
triggerall = (command = "z" && command != "holddown") || var(55) = 220
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
ignorehitpause = 0

[State -1]
type = ChangeState
value = 220
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 220
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger4 = Stateno = 240 && animelemtime(7) <= 0 && var(38) = 240
trigger5 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger6 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger7 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger8 = Stateno = 440 && animelemtime(6) <= 0 && var(38) = 440
trigger9 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
trigger10 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
trigger11 = Stateno = 910 && animelemtime(8) <= 0 && var(38) = 910
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;僷乕儉傾僢僷乕
[State -1]
type = ChangeState
value = 900
triggerall = (Command = "y" && Command = "holdback" && Command != "holddown") || var(55) = 900
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
ignorehitpause = 0

;棫偪拞僷儞僠
[State -1]
type = ChangeState
value = 210
triggerall = (command = "y" && command != "holddown") || var(55) = 210
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
trigger2 = stateno = 100
trigger2 = AnimelemTime(5) >= 1
ignorehitpause = 0

[State -1]
type = ChangeState
value = var(58)
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 210 || var(58) = 900
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger3 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger4 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮

;棫偪彫僷儞僠
[State -1]
type = ChangeState
value = 200
triggerall = (Command = "x" && Command != "holddown") || var(55) = 200
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = !var(13)
trigger1 = ctrl 
trigger2 = Stateno = 200
trigger2 = Animelemtime(5) >= 1
trigger3 = Stateno = 400
trigger3 = Animelemtime(6) >= 1
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮

;棫偪戝僉僢僋
[State -1]
type = ChangeState
value = 250
triggerall = (command = "c" && command != "holddown") || var(55) = 250
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
ignorehitpause = 0

[State -1]
type = ChangeState
value = 250
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 250
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 220 && animelemtime(9) <= 0 && var(38) = 220
trigger4 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger5 = Stateno = 240 && animelemtime(7) <= 0 && var(38) = 240
trigger6 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger7 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger8 = stateno = 420 && animelemtime(4) <= 0 && var(38) = 420
trigger9 = Stateno = 420 && animelemtime(6) <= 0 && var(38) = 421
trigger10 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger11 = Stateno = 440 && animelemtime(6) <= 0 && var(38) = 440
trigger12 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
trigger13 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
trigger14 = Stateno = 910 && animelemtime(8) <= 0 && var(38) = 910
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮

;僋僅乕儔儖僉僢僋
[State -1]
type = ChangeState
value = 910
triggerall = (command = "b" && command = "holdfwd" && command != "holddown") || var(55) = 900
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
ignorehitpause = 0

;棫偪拞僉僢僋
[State -1]
type = ChangeState
value = 240
triggerall = (command = "b" && command != "holddown") || var(55) = 240
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
ignorehitpause = 0

[State -1]
type = ChangeState
value = var(58)
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 240 || var(58) = 910
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger4 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger5 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger6 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger7 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
trigger8 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;棫偪庛僉僢僋
[State -1]
type = ChangeState
value = 230
triggerall = (command = "a" && command != "holddown") || var(55) = 230
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = !var(13)
trigger1 = ctrl 
trigger2 = Stateno = 200
trigger2 = Animelemtime(5) >= 1
trigger3 = Stateno = 230
trigger3 = Animelemtime(6) >= 1
trigger4 = Stateno = 400
trigger4 = Animelemtime(6) >= 1
trigger5 = Stateno = 430
trigger5 = Animelemtime(4) >= 1
ignorehitpause = 0

[State -1]
type = ChangeState
value = 230
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 230
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;偟傖偑傒戝僷儞僠
[State -1]
type = ChangeState
value = 420
triggerall = (command = "z" && command = "holddown") || var(55) = 420
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
ignorehitpause = 0

[State -1]
type = ChangeState
value = 420
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 420
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger4 = Stateno = 240 && animelemtime(7) <= 0 && var(38) = 240
trigger5 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger6 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger7 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger8 = Stateno = 440 && animelemtime(6) <= 0 && var(38) = 440
trigger9 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
trigger10 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
trigger11 = Stateno = 910 && animelemtime(8) <= 0 && var(38) = 910
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;偟傖偑傒拞僷儞僠
[State -1]
type = ChangeState
value = 410
triggerall = (command = "y" && command = "holddown") || var(55) = 410
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
ignorehitpause = 0

[State -1]
type = ChangeState
value = 410
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 410
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger3 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger4 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;偟傖偑傒彫僷儞僠
[State -1]
type = ChangeState
value = 400
triggerall = (command = "x" && command = "holddown") || var(55) = 400
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = !var(13)
trigger1 = ctrl
trigger2 = Stateno = 200
trigger2 = Animelemtime(5) >= 1
trigger3 = Stateno = 400
trigger3 = Animelemtime(6) >= 1
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;偟傖偑傒戝僉僢僋
[State -1]
type = ChangeState
value = 450
triggerall = (command = "c" && command = "holddown") || var(55) = 450
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
ignorehitpause = 0

[State -1]
type = ChangeState
value = 450
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 450
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 220 && animelemtime(9) <= 0 && var(38) = 220
trigger4 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger5 = Stateno = 240 && animelemtime(7) <= 0 && var(38) = 240
trigger6 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger7 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger8 = stateno = 420 && animelemtime(4) <= 0 && var(38) = 420
trigger9 = Stateno = 420 && animelemtime(6) <= 0 && var(38) = 421
trigger10 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger11 = Stateno = 440 && animelemtime(6) <= 0 && var(38) = 440
trigger12 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
trigger13 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
trigger14 = Stateno = 910 && animelemtime(8) <= 0 && var(38) = 910
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;偟傖偑傒拞僉僢僋
[State -1]
type = ChangeState
value = 440
triggerall = (command = "b" && command = "holddown") || var(55) = 440
triggerall = var(50) = 0
triggerall = StateType != A
trigger1 = ctrl 
ignorehitpause = 0

[State -1]
type = ChangeState
value = 440
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 440
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger4 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger5 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger6 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger7 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
trigger8 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;偟傖偑傒彫僉僢僋
[State -1]
type = ChangeState
value = 430
triggerall = (command = "a" && command = "holddown") || var(55) = 430
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = !var(13)
trigger1 = ctrl 
trigger2 = Stateno = 200
trigger2 = Animelemtime(5) >= 1
trigger3 = Stateno = 230
trigger3 = Animelemtime(6) >= 1
trigger4 = Stateno = 400
trigger4 = Animelemtime(6) >= 1
trigger5 = Stateno = 430
trigger5 = Animelemtime(4) >= 1
ignorehitpause = 0

[State -1]
type = ChangeState
value = 430
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = numhelper(30000)
triggerall = helper(30000),var(5) = 1
triggerall = var(58) = 430
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
ignorehitpause = 0

;仚仚僕儍儞僾峌寕仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚

;僕儍儞僾戝僷儞僠
[State -1]
type = ChangeState
value = 620
trigger1 = command = "z" || var(26) = 620
trigger1 = var(50) = 0
trigger1 = StateType = A
trigger1 = ctrl
ignorehitpause = 0

[State -1]
type = ChangeState
value = 620
triggerall = var(50) = 0
triggerall = StateType = A
triggerall = numhelper(30000)
triggerall = helper(30000),var(6) = 1
triggerall = var(47) = 620
triggerall = var(38)
triggerall = !var(13)
trigger1 = Stateno = 600
trigger2 = Stateno = 610
trigger3 = Stateno = 630
trigger4 = Stateno = 640
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;僕儍儞僾拞僷儞僠
[State -1]
type = ChangeState
value = 610
trigger1 = command = "y" || var(26) = 610
trigger1 = var(50) = 0
trigger1 = StateType = A
trigger1 = ctrl
ignorehitpause = 0

[State -1]
type = ChangeState
value = 610
triggerall = var(50) = 0
triggerall = StateType = A
triggerall = numhelper(30000)
triggerall = helper(30000),var(6) = 1
triggerall = var(47) = 610
triggerall = var(38)
triggerall = !var(13)
trigger1 = Stateno = 600
trigger2 = Stateno = 630
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;僕儍儞僾彫僷儞僠
[State -1]
type = ChangeState
value = 600
trigger1 = command = "x" || var(26) = 600
trigger1 = var(50) = 0
trigger1 = StateType = A
trigger1 = ctrl
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;僕儍儞僾戝僉僢僋
[State -1]
type = ChangeState
value = 650
trigger1 = command = "c" || var(26) = 650
trigger1 = var(50) = 0
trigger1 = StateType = A
trigger1 = ctrl
ignorehitpause = 0

[State -1]
type = ChangeState
value = 650
triggerall = var(50) = 0
triggerall = StateType = A
triggerall = numhelper(30000)
triggerall = helper(30000),var(6) = 1
triggerall = var(47) = 650
triggerall = var(38)
triggerall = !var(13)
trigger1 = Stateno = 600
trigger2 = Stateno = 610
trigger3 = Stateno = 620
trigger4 = Stateno = 630
trigger5 = Stateno = 640
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;僕儍儞僾拞僉僢僋
[State -1]
type = ChangeState
value = 640
trigger1 = command = "b" || var(26) = 640
trigger1 = var(50) = 0
trigger1 = StateType = A
trigger1 = ctrl
ignorehitpause = 0

[State -1]
type = ChangeState
value = 640
triggerall = var(50) = 0
triggerall = StateType = A
triggerall = numhelper(30000)
triggerall = helper(30000),var(6) = 1
triggerall = var(47) = 640
triggerall = var(38)
triggerall = !var(13)
trigger1 = Stateno = 600
trigger2 = Stateno = 610
trigger3 = Stateno = 630
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;僕儍儞彫僉僢僋
[State -1]
type = ChangeState
value = 630
trigger1 = command = "a" || var(26) = 630
trigger1 = var(50) = 0
trigger1 = StateType = A
trigger1 = ctrl
ignorehitpause = 0


;仚仚僗僥僢僾堏摦仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚仚

; 慜僗僥僢僾
[State -1]
type = ChangeState
value = ifelse(p2dist X >= 0,100,105)
trigger1 = var(55) = 100
trigger1 = command != "holddown"
trigger1 = var(50) = 0
trigger1 = statetype != A
trigger1 = ctrl
ignorehitpause = 0

; 屻僗僥僢僾
[State -1]
type = ChangeState
value = ifelse(p2dist X >= 0,105,100)
trigger1 = var(55) = 105
trigger1 = command != "holddown"
trigger1 = var(50) = 0
trigger1 = statetype != A
trigger1 = ctrl
ignorehitpause = 0


[State -1]
type = ChangeState
value = var(58)
triggerall = numhelper(30000)
triggerall = helper(30000),var(9) = 1
triggerall = var(50) = 0
triggerall = StateType != A
triggerall = var(58) = 100 || var(58) = 105
triggerall = !var(13)
trigger1 = Stateno = 200 && animelemtime(5) <= 0 && var(38) = 200
trigger2 = Stateno = 210 && animelemtime(6) <= 0 && var(38) = 210
trigger3 = Stateno = 220 && animelemtime(9) <= 0 && var(38) = 220
trigger4 = Stateno = 230 && animelemtime(6) <= 0 && var(38) = 230
trigger5 = Stateno = 240 && animelemtime(7) <= 0 && var(38) = 240
trigger6 = Stateno = 250 && animelemtime(9) <= 0 && var(38) = 250
trigger7 = Stateno = 250 && animelemtime(11) <= 0 && var(38) = 251
trigger8 = Stateno = 400 && animelemtime(6) <= 0 && var(38) = 400
trigger9 = Stateno = 410 && animelemtime(7) <= 0 && var(38) = 410
trigger10 = stateno = 420 && animelemtime(4) <= 0 && var(38) = 420
trigger11 = Stateno = 420 && animelemtime(6) <= 0 && var(38) = 421
trigger12 = Stateno = 430 && animelemtime(4) <= 0 && var(38) = 430
trigger13 = Stateno = 440 && animelemtime(6) <= 0 && var(38) = 440
trigger14 = Stateno = 450 && animelemtime(5) <= 0 && var(38) = 450
trigger15 = stateno = 900 && animelemtime(5) <= 0 && var(38) = 900
trigger16 = Stateno = 900 && animelemtime(7) <= 0 && var(38) = 901
trigger17 = Stateno = 910 && animelemtime(8) <= 0 && var(38) = 910
ignorehitpause = 0

;仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
;愭峴擖椡夝彍
[State -1, varset]
type = varset
trigger1 = !var(13)
trigger1 = !var(56)
trigger1 = !fvar(19)
trigger1 = !fvar(31)
var(55) = 0

[State -1, varset]
type = varset
trigger1 = var(55) = 0
var(57) = 0

[State -1, varSet]
type = varSet
trigger1 = !var(13)
trigger1 = !var(38)
trigger1 = var(58)
var(58) = 0

[State -1, varset]
type = varset
trigger1 = !var(13)
trigger1 = !var(27)
trigger1 = !fvar(31)
var(26) = 0

[State -1, varset]
type = varset
trigger1 = var(26) = 0
var(28) = 0

[State -1, varSet]
type = varSet
trigger1 = !var(13)
trigger1 = !var(38)
trigger1 = var(47)
var(47) = 0


;仮仮AI憖嶌仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮仮
[State -1, 師偺庤傪巚埬拞]
type = varRandom
trigger1 = roundstate = 2
;trigger1 = var(50) = 1
trigger1 = statetype != A
v = 51
range = 0,99

[State -1, 師偺庤傪巚埬拞]
type = varRandom
trigger1 = roundstate = 2
trigger1 = var(50) = 1
trigger1 = statetype = A
v = 51
range = 100,199

[State -1, VarSet]
type = VarSet
trigger1 = var(50) = 1
trigger1 = enemy,prevstateno = 5110
trigger1 = enemy,time = 1
fvar(38) = 40

[State -1, VarAdd]
type = VarAdd
trigger1 = fvar(38) > 0
fvar(38) = -1

;棫偪僽儘
[State -2, HitOverride] 
type = HitOverride
triggerall = var(50) = 1
triggerall = statetype != A
triggerall = stateno != [40,50]
trigger1 = (ctrl||stateno=21||(stateno=[120,131])||((stateno=[4000,4115])&&time>5)) && helper(30000),var(0) && random < 300
trigger2 = (stateno = [4000,4115]) && time<=5 && random < 750
trigger3 = (stateno = [6150,6153]) && helper(30000),var(2) && random < 300
trigger4 = numhelper(30000) && helper(30000),var(4) = 1
trigger4 = (stateno = [150,153]) && helper(30000),var(2) && random < 300
slot = 0
attr = SA, NA, SA, HA
stateno = 4000
time = 1

[State -2, HitOverride] 
type = HitOverride
triggerall = var(50) = 1
triggerall = statetype != A
triggerall = stateno != [40,50]
trigger1 = (ctrl||stateno=21||(stateno=[120,131])||((stateno=[4000,4115])&&time>5)) && helper(30000),var(0) && random < 250+P2BodyDist X
trigger2 = (stateno = [4000,4115]) && time<=5 && random < 750
trigger3 = (stateno = [6150,6153]) && helper(30000),var(2) && random < 250+P2BodyDist X
trigger4 = numhelper(30000) && helper(30000),var(4) = 1
trigger4 = (stateno = [150,153]) && helper(30000),var(2) && random < 250+P2BodyDist X
slot = 1
attr = SA, NP, SP
stateno = 4010
time = 1

[State -2, HitOverride] 
type = HitOverride
triggerall = var(50) = 1
triggerall = statetype != A
triggerall = stateno != [40,50]
trigger1 = (ctrl||stateno=21||((stateno=[4000,4115])&&time>5)) && helper(30000),var(0) && random < 250+P2BodyDist X
trigger2 = (stateno = [4000,4115]) && time<=5 && random < 750
trigger3 = (stateno = [6150,6153]) && helper(30000),var(2) && random < 250+P2BodyDist X
trigger4 = numhelper(30000) && helper(30000),var(4) = 1
trigger4 = (stateno = [150,153]) && helper(30000),var(2) && random < 250+P2BodyDist X
slot = 6
attr = SA, HP
stateno = 4010
time = 1

;孅僽儘
[State -2, HitOverride]
type = HitOverride
triggerall = var(50) = 1
triggerall = statetype != A
triggerall = stateno != [40,50]
trigger1 = (ctrl||stateno=21||(stateno=[120,131])||((stateno=[4000,4115])&&time>5)) && helper(30000),var(0) && random < 250
trigger2 = (stateno = [4000,4115]) && time<=5 && random < 750
trigger3 = (stateno = [6150,6153]) && helper(30000),var(2) && random < 250
trigger4 = numhelper(30000) && helper(30000),var(4) = 1
trigger4 = (stateno = [150,153]) && helper(30000),var(2) && random < 250
slot = 2
attr = C, NA, SA, HA
stateno = 4100
time = 1

[State -2, HitOverride]
type = HitOverride
triggerall = var(50) = 1
triggerall = statetype != A
triggerall = stateno != [40,50]
trigger1 = (ctrl||stateno=21||(stateno=[120,131])||((stateno=[4000,4115])&&time>5)) && helper(30000),var(0) && random < 200+P2BodyDist X
trigger2 = (stateno = [4000,4115]) && time<=5 && random < 750
trigger3 = (stateno = [6150,6153]) && helper(30000),var(2) && random < 200+P2BodyDist X
trigger4 = numhelper(30000) && helper(30000),var(4) = 1
trigger4 = (stateno = [150,153]) && helper(30000),var(2) && random < 200+P2BodyDist X
slot = 3
attr = C, NP, SP
stateno = 4110
time = 1

[State -2, HitOverride]
type = HitOverride
triggerall = var(50) = 1
triggerall = statetype != A
triggerall = stateno != [40,50]
trigger1 = (ctrl||stateno=21||((stateno=[4000,4115])&&time>5)) && helper(30000),var(0) && random < 200+P2BodyDist X
trigger2 = (stateno = [4000,4115]) && time<=5 && random < 750
trigger3 = (stateno = [6150,6153]) && helper(30000),var(2) && random < 200+P2BodyDist X
trigger4 = numhelper(30000) && helper(30000),var(4) = 1
trigger4 = (stateno = [150,153]) && helper(30000),var(2) && random < 200+P2BodyDist X
slot = 7
attr = C, HP
stateno = 4110
time = 1

;嬻拞僽儘
[State -2, HitOverride]
type = HitOverride
triggerall = var(50) = 1
triggerall = statetype = A
trigger1 = (ctrl||(stateno=5040&&var(0)=1)||(stateno=5040&&Hitover=1)||((stateno = [4200,4205])&&time>5)) && helper(30000),var(0) && random < 350
trigger2 = (stateno = [4200,4205]) && time<=5 && random < 750
trigger3 = (stateno = [6154,6155]) && helper(30000),var(2) && random < 350
trigger4 = numhelper(30000) && helper(30000),var(4) = 1
trigger4 = (stateno = [154,155]) && helper(30000),var(2) && random < 350
slot = 4
attr = SCA, AA
stateno = 4200
time = 1

[State -2, HitOverride]
type = HitOverride
triggerall = var(50) = 1
triggerall = statetype = A
trigger1 = (ctrl||(stateno=5040&&var(0)=1)||(stateno=5040&&Hitover=1)||((stateno = [4200,4205])&&time>5)) && helper(30000),var(0) && random < 300
trigger2 = (stateno = [4200,4205]) && time<=5 && random < 750
trigger3 = (stateno = [6154,6155]) && helper(30000),var(2) && random < 300+P2BodyDist X
trigger4 = numhelper(30000) && helper(30000),var(4) = 1
trigger4 = (stateno = [154,155]) && helper(30000),var(2) && random < 300+P2BodyDist X
slot = 5
attr = SCA, AP
stateno = 4205
time = 1

[State -1, 僈乕僪]
type = changestate
value = 120
triggerall = var(50) = 1
triggerall = StateNo != [120,155]
triggerall = ctrl || stateno = 21
triggerall = statetype != A
;triggerall = enemynear,HitDefAttr != SCA,NT,ST,HT
triggerall = inguarddist
trigger1 = Random <= 600
ctrl = 0

[State -3, velset]
Type = velset
trigger1 = var(50) = 1
Trigger1 = stateno = [120,131]
Trigger1 = statetype != A
x = 0

[State -1, 僙儔僼傿僢僋僂僀儞僌]
type = ChangeState
value = 3200-(life>=ceil(var(52)*2/3)&&frontedgebodydist>60&&random<300)*100
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = var(45) = 0
triggerall = power >= 1280
triggerall = statetype != A
triggerall = p2statetype != L
triggerall = p2movetype != A
triggerall = random < 700+(frontedgebodydist<=60)*300
trigger1 = numhelper(6002)
trigger1 = stateno = 1000
trigger1 = Animelemtime(11) = 0
ignorehitpause = 0

[State -1, 儊僥僆僗僩儔僀僋]
type = ChangeState
value = 3100
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = var(45) = 0
triggerall = power >= 1280
triggerall = statetype != A
triggerall = p2statetype != L
triggerall = p2movetype != A
trigger1 = numhelper(6002)
trigger1 = numtarget || var(14)
trigger1 = stateno = 1000
trigger1 = Animelemtime(12) = 3
ignorehitpause = 0

[State -1, 僙儔僼傿僢僋僂僀儞僌]
type = ChangeState
value = 3200
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = var(45) = 0
triggerall = power >= 1280
;triggerall = life >= ceil(var(52)*1/3)
triggerall = P2BodyDist X >= 80
triggerall = enemynear,BackEdgeBodyDist <= 40
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != L
triggerall = p2movetype != A
triggerall = p2movetype != H
triggerall = random < 1000-(p2life>=150)*600
trigger1 = var(51) = [60,60+(p2life<150)]
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 儊僥僆僗僩儔僀僋]
type = ChangeState
value = 3100
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = var(45) = 0
triggerall = power >= 1280
triggerall = life >= ceil(var(52)*2/3)
triggerall = P2BodyDist X >= 180
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != L
triggerall = p2movetype != H
triggerall = enemy,numproj = 0
trigger1 = var(51) = 50
trigger1 = random < 300
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 搳偘]
type = ChangeState
value = 800
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = var(51) = [0,20+(enemy,BackEdgeBodyDist<=5)*20)
triggerall = fvar(38) = 0
triggerall = fvar(21) <= 2
triggerall = StateType != A
triggerall = P2BodyDist X = [ceil(-10*const(size.xscale)),ceil(20*const(size.xscale))]
triggerall = p2statetype != A
triggerall = p2statetype != L
triggerall = p2movetype != H
trigger1 = movetype = I
trigger1 = ctrl||stateno=21||stateno=[120,131]
ignorehitpause = 0

[State -1, 僒僀僶乕儔儕傾僢僩]
type = ChangeState
value = 1100
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = var(24) = 0
triggerall = P2BodyDist X = [ceil((10-(p2statetype=A)*20)*const(size.xscale)),ceil(80*const(size.xscale))]
triggerall = P2BodyDist Y = [ceil(-80*const(size.yscale)),0]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != L
triggerall = p2statetype != C
trigger1 = var(51) = [30,30+(p2statetype=A)*4]
trigger1 = ctrl||stateno=21||stateno=[120,131]
ignorehitpause = 0

[State -1, 儉乕儞僒儖僩僯乕僪儘僢僾]
type = ChangeState
value = 1200
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = var(24) = 0
triggerall = StateType != A
triggerall = p2statetype != A
triggerall = p2statetype != L
triggerall = movetype = I
triggerall = !var(13)
trigger1 = P2BodyDist X > ceil(60*const(size.xscale))
trigger1 = movetype != H
trigger1 = var(51) = 0
trigger1 = random < 500
trigger1 = movetype = I
trigger1 = ctrl||stateno=21||stateno=[120,131]
ignorehitpause = 0

[State -1, 僒僀僐僿僢僪僶僢僩]
type = ChangeState
value = 1300
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = var(24) = 0
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = p2statetype != C
triggerall = movetype = I
triggerall = !var(13)
triggerall = P2BodyDist X = [ceil(20*const(size.xscale)),ceil(50*const(size.xscale))]
triggerall = P2BodyDist Y = [ceil(-80*const(size.yscale)),0]
trigger1 = p2movetype != A
trigger1 = movetype != H
trigger1 = var(51) = [10,10+(P2statetype=A)*2]
trigger1 = movetype = I
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 僷僀儘丒僋儕僆僉僱僔僗]
type = ChangeState
value = 1000
triggerall = roundstate = 2
triggerall = fvar(36) = 0
triggerall = var(50) = 1
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = !var(13)
triggerall = !var(24)
triggerall = !var(5)
triggerall = movetype != H
trigger1 = P2BodyDist X >= ceil(100*const(size.xscale))
trigger1 = var(51) = 20
trigger1 = random < 600
trigger1 = movetype = I
trigger1 = ctrl||stateno=21
trigger1 = fvar(11):= 1
trigger2 = stateno = 420
trigger2 = animelemtime(4) <= 0 && var(38) = 420
trigger2 = numtarget(420)
trigger2 = target(420),statetype = C
trigger2 = fvar(11):= 2
trigger3 = stateno = 420
trigger3 = animelemtime(4) <= 0 && var(38) = 420
trigger3 = numtarget(100420)
trigger3 = target(100420),statetype = C
trigger3 = fvar(11):= 2
trigger4 = power >= 1280
trigger4 = random < 200+(prevstateno=22)*800
trigger4 = stateno = 420
trigger4 = animelemtime(4) <= 0 && var(38) = 420
trigger4 = numtarget(420)
trigger4 = target(420),statetype = A
trigger4 = fvar(11):= 3
trigger5 = power >= 1280
trigger5 = random < 200+(prevstateno=22)*800
trigger5 = stateno = 420
trigger5 = animelemtime(4) <= 0 && var(38) = 420
trigger5 = numtarget(100420)
trigger5 = target(100420),statetype = A
trigger5 = fvar(11):= 3
ignorehitpause = 0

[State -1, 偟傖偑傒戝僷儞僠]
type = ChangeState
value = 420
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = var(24) = 0
triggerall = P2BodyDist X = [ceil((-10+(enemynear,vel X>0)*10)*const(size.xscale)),ceil((50+(enemynear,vel X>0)*10)*const(size.xscale))]
triggerall = P2BodyDist Y = [ceil(-100*const(size.yscale)),0]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != L
trigger1 = Random = [700,770)
trigger1 = ctrl||stateno=21||stateno=[120,131]
trigger2 = Random = [700,850)
trigger2 = ctrl||stateno=21
trigger2 = numtarget(620)||numtarget(650)
ignorehitpause = 0

[State -1, 僷乕儉傾僢僷乕]
type = ChangeState
value = 900
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(-10*const(size.xscale)),ceil(20*const(size.xscale))]
triggerall = P2BodyDist Y = [ceil(-120*const(size.yscale)),ceil(-60*const(size.yscale))]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype = A
trigger1 = Random = [900,920)
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 棫偪戝僷儞僠]
type = ChangeState
value = 220
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(30*const(size.xscale)),ceil(90*const(size.xscale))]
triggerall = P2BodyDist Y = [ceil(-80*const(size.yscale)),0]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != L
trigger1 = Random = [100,130)
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 棫偪拞僷儞僠]
type = ChangeState
value = 210
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(-10*const(size.xscale)),ceil(80*const(size.xscale))]
triggerall = P2BodyDist Y = [ceil(-80*const(size.yscale)),0]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype = A
trigger1 = Random = [950,965)
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 棫偪彫僷儞僠]
type = ChangeState
value = 200+(P2statetype=C)*200
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(-10*const(size.xscale)),ceil(80*const(size.xscale))]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != A
triggerall = p2statetype != L
triggerall = Random = [200,250)
triggerall = !var(13)
trigger1 = ctrl||stateno=21||stateno=[120,131]
trigger2 = Stateno = 200
trigger2 = Animelemtime(5) >= 1
trigger3 = Stateno = 400
trigger3 = Animelemtime(6) >= 1
ignorehitpause = 0

[State -1, 偟傖偑傒彫僉僢僋]
type = ChangeState
value = 430
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(0*const(size.xscale)),ceil(90*const(size.xscale))]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != A
triggerall = p2statetype != L
triggerall = Random = [300,350)
triggerall = !var(13)
trigger1 = ctrl||stateno=21||stateno=[120,131]
trigger2 = Stateno = 200
trigger2 = Animelemtime(5) >= 1
trigger3 = Stateno = 230
trigger3 = Animelemtime(6) >= 1
trigger4 = Stateno = 400
trigger4 = Animelemtime(6) >= 1
trigger5 = Stateno = 430
trigger5 = Animelemtime(4) >= 1
ignorehitpause = 0

[State -1, 偟傖偑傒拞僷儞僠]
type = ChangeState
value = 410
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(80*const(size.xscale)),ceil(100*const(size.xscale))]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != A
triggerall = p2statetype != L
triggerall = p2movetype != A
triggerall = Random = [630,640)
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 偟傖偑傒戝僉僢僋]
type = ChangeState
value = 450
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(100*const(size.xscale)),ceil(120*const(size.xscale))]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != A
triggerall = p2statetype != L
triggerall = Random = [600,620)
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 棫偪彫僉僢僋]
type = ChangeState
value = 230
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(0*const(size.xscale)),ceil(70*const(size.xscale))]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = Random = [670,690)
triggerall = !var(13)
trigger1 = ctrl||stateno=21
trigger2 = Stateno = 200
trigger2 = Animelemtime(5) >= 1
trigger3 = Stateno = 230
trigger3 = Animelemtime(6) >= 1
trigger4 = Stateno = 400
trigger4 = Animelemtime(6) >= 1
trigger5 = Stateno = 430
trigger5 = Animelemtime(4) >= 1
ignorehitpause = 0

[State -1, 棫偪拞僉僢僋]
type = ChangeState
value = 240
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(90*const(size.xscale)),ceil(130*const(size.xscale))]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = Random = [500,540)
triggerall = !var(13)
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 棫偪戝僉僢僋]
type = ChangeState
value = 250
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(50*const(size.xscale)),ceil(70*const(size.xscale))]
triggerall = P2BodyDist Y = [ceil(-100*const(size.yscale)),0]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != L
triggerall = p2movetype != A
trigger1 = Random = [570,585)
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 僋僅乕儔儖僉僢僋]
type = ChangeState
value = 910
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(140*const(size.xscale)),ceil(170*const(size.xscale))]
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype != L
triggerall = p2statetype != A
trigger1 = Random = [550,560)
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 儕乕僾傾僞僢僋]
type = ChangeState
value = 920
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(20*const(size.xscale)),ceil(40*const(size.xscale)))
triggerall = statetype != A
triggerall = movetype = I
triggerall = p2statetype = C
triggerall = p2movetype != A
trigger1 = Random = [800,820)
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 僕儍儞僾戝僉僢僋]
type = ChangeState
value = 650
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(-5*const(size.xscale)),ceil(100*const(size.xscale))]
triggerall = P2BodyDist Y = [ceil(-20*const(size.yscale)),ceil((75+(var(3)=1)*35)*const(size.yscale))]
triggerall = statetype = A
triggerall = movetype = I
triggerall = p2statetype != L
triggerall = ctrl
trigger1 = vel Y > 0
trigger1 = pos Y <= ceil((-65-(var(3)=1)*35)*const(size.yscale))
trigger1 = Random = [0,200+(p2statetype=C)*100-(var(3)=1)*100)
trigger2 = p2statetype = A
trigger2 = pos Y <= ceil((-65-(var(3)=1)*35)*const(size.yscale))
trigger2 = Random = [0,200+(p2statetype=C)*100-(var(3)=1)*100)
ignorehitpause = 0

[State -1, 僕儍儞僾戝僷儞僠]
type = ChangeState
value = 620
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = P2BodyDist X = [ceil(-5*const(size.xscale)),ceil(80*const(size.xscale))]
triggerall = P2BodyDist Y = [ceil(-40*const(size.yscale)),ceil((70+(var(3)=1)*30)*const(size.yscale))]
triggerall = statetype = A
triggerall = movetype = I
triggerall = p2statetype != L
triggerall = p2statetype != C
triggerall = ctrl
trigger1 = vel Y > 0
trigger1 = pos Y <= ceil((-60-(var(3)=1)*30)*const(size.yscale))
trigger1 = Random = [500,700-(var(3)=1)*100)
trigger2 = p2statetype = A
trigger2 = pos Y <= ceil((-60-(var(3)=1)*30)*const(size.yscale))
trigger2 = Random = [500,700-(var(3)=1)*100)
ignorehitpause = 0

[State -1, 僕儍儞僾奐巒]
type = ChangeState
value = 40
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = statetype != A
triggerall = movetype = I
trigger1 = ctrl||stateno=21
trigger1 = P2BodyDist X = [ceil(80*const(size.xscale)),ceil(130*const(size.xscale)))
trigger1 = enemy,statetype != A
trigger1 = enemy,statetype != L
trigger1 = Random < 20+(enemy,numproj>0)*100
trigger1 = var(18):= 2
trigger2 = ctrl||stateno=21
trigger2 = P2BodyDist X = [ceil(150*const(size.xscale)),ceil(200*const(size.xscale)))
trigger2 = enemy,statetype != A
trigger2 = enemy,statetype != L
trigger2 = Random < 10+(enemy,numproj>0)*70
trigger2 = var(18):= 2
trigger3 = ctrl||stateno=21
trigger3 = P2BodyDist X < ceil(80*const(size.xscale))
trigger3 = Random < 10
trigger3 = var(18):= 3
trigger4 = ctrl||stateno=21
trigger4 = P2BodyDist X > ceil(130*const(size.xscale))
trigger4 = Random < 5
trigger4 = var(18):= 3
trigger5 = ctrl||stateno=21||stateno=[120,131]
trigger5 = P2BodyDist X <= 60
trigger5 = Random < 50+(enemynear,hitdefattr=SCA,HT)*250
trigger5 = enemynear,hitdefattr = SCA,NT,ST,HT
trigger5 = var(18):= 1
trigger6 = ctrl||stateno=21
trigger6 = P2BodyDist X <= 60
trigger6 = Random < 300
trigger6 = enemynear,prevstateno = 5110
trigger6 = enemynear,time = [7,10]
trigger6 = var(18):= 4

[State -1, 嬻拞庴恎]
type = ChangeState
value = 5210
triggerall = stateno = 5050
triggerall = roundstate = 2
triggerall = var(50) = 1
triggerall = fvar(2) != 72
triggerall = var(45) != 1
triggerall = vel Y > -1
triggerall = alive
triggerall = canrecover
triggerall = pos Y = [-120,-20)
trigger1 = Random < 30
trigger2 = P2BodyDist X = [-90,90]
trigger2 = var(51) = [100,109]
trigger2 = enemy,hitdefattr = SA, AA, AT, AP

[State -1, 慜僟僢僔儏]
type = ChangeState
value = 100
triggerall = RoundState = 2
triggerall = Enemynear,movetype != A
triggerall = var(51) = [0,1]
triggerall = var(50) = 1
triggerall = P2bodydist X >= 180
triggerall = statetype != A
triggerall = enemy, numproj = 0
trigger1 = stateno != [100,105]
trigger1 = movetype = I
trigger1 = ctrl||stateno=21
trigger1 = stateno != [130,131]
ignorehitpause = 0

[State -1, 屻僟僢僔儏]
type = ChangeState
value = 105
triggerall = RoundState = 2
triggerall = Enemy,movetype = A
triggerall = EnemyNear,HitDefAttr != SCA,NT,ST,HT
triggerall = var(50) = 1
triggerall = var(51) = [0,5]
triggerall = P2bodydist X = [60,100)
triggerall = BackEdgeBodyDist > 10
triggerall = statetype != A
triggerall = enemy, numproj = 0
trigger1 = stateno != [100,105]
trigger1 = movetype = I
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 慜僟僢僔儏]
type = ChangeState
value = ifelse(P2bodydist X<10,1300,100)
triggerall = RoundState = 2
triggerall = Enemynear,statetype = L
triggerall = var(50) = 1
triggerall = var(51) = [30,99]
triggerall = P2bodydist X < 20
triggerall = BackEdgeBodyDist <= 30
triggerall = statetype != A
triggerall = enemy,numproj = 0
trigger1 = movetype = I
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 屻僟僢僔儏]
type = ChangeState
value = 105
triggerall = RoundState = 2
triggerall = Enemynear,statetype = L
triggerall = var(50) = 1
triggerall = var(51) = [30,99]
triggerall = P2bodydist X < 60
triggerall = BackEdgeBodyDist > 30
triggerall = statetype != A
triggerall = enemy, numproj = 0
trigger1 = stateno != [100,105]
trigger1 = movetype = I
trigger1 = ctrl||stateno=21
ignorehitpause = 0

[State -1, 曕偒]
type = ChangeState
value = 21
trigger1 = roundstate = 2
trigger1 = var(50) = 1
trigger1 = p2bodydist x >= 40
trigger1 = ctrl
trigger1 = random < 100
trigger1 = !InGuardDist
trigger1 = statetype = S
trigger1 = stateno != [120,155]
trigger1 = stateno != [20,21]
trigger1 = stateno != [10,12]
trigger1 = anim != [5,6]

